IOSTAT(8)

NAME
iostat - report I/O statistics

SYNOPSIS
iostat [ -cdDIt ] [ -l n ] [ disk ... ] [ interval [ count ] ]

DESCRIPTION

iostat can iteratively report terminal and disk I/O activity, as well as CPU utilization. The first report is for all time since a reboot and each subsequent report is for the prior interval only.

In order to compute this information, the kernel maintains a number of counters. For each disk, seeks and data transfer completions and number of words transferred are counted; for terminals collectively, the number of input and output characters are counted. Also, at each clock tick, the state of each disk is examined and a tally is made if the disk is active. The kernel also provides approximate transfer rates of the devices.

OPTIONS

iostat's activity class options default to tdc (terminal, disk, and CPU). If any activity class options are specified, the default is completely overridden. Therefore, if only -d is specified, neither terminal nor CPU statistics will be reported. The last disk option specified (either -d or -D) is the only one that is used.

-c  Report the percentage of time the system has spent in user mode, in user mode running low priority processes, see nice(1), in system mode, and idling.

-d  For each disk, report the number of kilobytes transferred per second, the number of transfers per second, and the milliseconds per average seek (see BUGS below).

-D  For each disk, report the reads per second, writes per second, and percentage disk utilization.

-I  Report the counts in each interval, rather than reporting rates.

-t  Report the number of characters read and written to terminals.

-l n
    Limit the number of disks included in the report to n; the disk limit defaults to 4. Note: disks explicitly requested (see disk below) are not subject to this disk limit.

disk
    Explicitly specify the disks to be reported; in addition to any explicit disks, any active disks up to the disk limit (see -l above) will also be reported.

interval
    Report once each interval seconds.

count
    Only print count reports.

FILES
/dev/kmem
/vmunix

SEE ALSO
vmstat(8)

BUGS

Milliseconds per average seek is an approximation based on the disk (not the controller) transfer rate. Therefore, the seek time will be over-estimated in systems with slower controllers.

iostat only provides statistics on the first ten disk drives, all others are ignored.